Bug 41211 - hw cursor problem with SiS 6326
hw cursor problem with SiS 6326
Product: Red Hat Linux
Classification: Retired
Component: XFree86-Servers (Show other bugs)
i386 Linux
low Severity low
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2001-05-18 04:31 EDT by Tim Waugh
Modified: 2005-10-31 17:00 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-03-14 12:49:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Tim Waugh 2001-05-18 04:31:14 EDT
Description of Problem:
Using XF86_SVGA with a SiS 6326, every so often the mouse cursor will 
develop a while horizontal line at the top.

How Reproducible:
I haven't found a quick way to trigger it, but it doesn't take too long 
at all under 'normal use'.  Here's what I do:

Steps to Reproduce:
1. Start mutt in a 52-row konsole, in a screen session.
2. Read mail.
Comment 1 Tim Waugh 2001-05-19 06:53:37 EDT
The workaround seems to be to use Option "sw_cursor".  Perhaps Xconfigurator 
should be taught to put that in for the 3.3.6 server by default on this 

Comment 2 Tim Waugh 2001-05-19 07:07:19 EDT
Actually, maybe not.  sw_cursor seems to make the X server crash every so 
often. :-/
Comment 3 Mike A. Harris 2001-05-20 01:50:03 EDT
There are tonnes of bugs in the SiS 6326 driver, most of which won't be
fixed until they trickle in from upstream..  ;o(  No hardware to work with.
Once is building in rawhide maybe we can get it working..

I think this might duplicate another open bug...

I might have a new motherboard coming sometime in the next month with an SiS
onboard video so I might be able to check it out then...
Comment 4 Mike A. Harris 2002-03-12 07:47:29 EST
No SiS motherboard ever showed up.

DOes this problem still occur now?  If so, I will make sure swcursor is
the default in next release.
Comment 5 Tim Waugh 2002-03-12 12:19:30 EST
This card works properly in 4.x now, so I guess it's moot.
Comment 6 Mike A. Harris 2002-03-13 01:32:09 EST
Ok, can you check your config file and let me know if it has
swcursor on or not, and if so, if you remove it does it still work,
or is swcursor required?

The current default was swcursor already, but if hwcursor works now, I
can re-enable it.

Comment 7 Tim Waugh 2002-03-14 12:49:30 EST
In XF86Config-4?  sw_cursor is needed.
Comment 8 Mike A. Harris 2002-03-14 13:05:51 EST
Ok, it is there, thanks.

Note You need to log in before you can comment on or make changes to this bug.